package com.platform.yijia.pojo;

import lombok.Data;

@Data
public class ContentData {

    //小票样式公用参数
    private String orderType;       //订单类型： 1、油品订单； 2、非油品订单； 3、积分订单；
    private String orderNo;         //订单号
    private String createdDate;     //下单时间
    private String payDate;         //付款时间
    private String stationName;     //油站名称
    private String stationId;       //油站ID

    //油品订单参数
    private String oilGun;          //油枪
    private String transactionId;   //交易订单流水号
    private String oilName;         //油品
    private String oilPirce;        //油品价格（单价）
    private String orderLiters;     //订单加油升数
    private String receivableAmt;   //应收金额
    private String amt;             //实收金额
    private String discountAmt;     //优惠金额
    private String integral;        //积分
    private String payType;         //支付方式  例：微信、电子卡
    private String mobilePhone;     //手机号   例：186****5051

    //积分小票
    private String waresName;                //兑换商品
    private String exchangeNum;              //商品数量
    private String orderSumIntegral;         //消耗积分
    private String surplusPoints;            //剩余积分
    private String customerName;             //客户昵称



}
