package com.platform.yijia.pojo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/***
 *  客户端电子会员卡充值优惠设置表
 */
@Data
public class CustomerCardSetting {
    private Integer id;
    private String cardOilsType;            //电子充值卡油类类型：1.柴油；2.汽油；
    private String discountTimeSetting;     //会员活动设置（0.禁用，1.启用）
    private String discountTimeType;        //时间类型：1.周；2.每月多少号；3.具体日期；
    private String discountTime;        //会员日活动时间
    private String presentScale;          //赠送比例
    private String isDiscountCoupon;    //是否可以使用优惠券：0，否；1，是
    private String enjoyIntegralMultiple;       //积分可享受倍数
    private Integer stationId;          //油站ID
    private String stationName;          //油站名称
    private Date createTime;
    private String isMarket;            //是否叠加营销方案
    private String isGradeSetting;      //是否叠加等级优惠

    private String orderBy;         //查询结果排序方式
    private List<CustomerCardSettingDetail> customerCardSettingDetailList;
}
