package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户端电子会员卡充值优惠设置明细
 */
@Data
public class CustomerCardSettingDetail {
    private Integer cardSettingDetailId;    //规则明细ID
    private Integer parentId;       //所对应电子会员卡ID
    private String settingRuleType;     //设置充值优惠类型：1，按赠送金额；2，按赠送比例
    private BigDecimal discountAmtStart;     //优惠条件金额起始值
    private BigDecimal discountAmtEnd;     //优惠条件金额结束值
    private BigDecimal presentAmt;          //赠送金额值或者赠送c充值金额的比例
    private String  oilName;           //创建时间
    private String status;              //状态
}
