package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/***
 * 客户管理
 */
@Data
public class CustomerManage {
    private Integer id;
    private String memberId; //'会员id',
    private String customerName; // '客户姓名',
    private String commendMan; //'推荐人',
    private String memberGrade; //'会员等级',
    private String phoneNumber; // '手机号',
    private String carNumber; // '车牌号',
    private BigDecimal balance;  //'余额',
    private Integer integral; //'积分',
    private String specialCarType;  // '专车类型',
    private Date regtime;   // '注册时间',
    private Integer stationId; // '油站id',
    private String stationName; //'油站名称',
    private String cyGrade; //'柴油等级',
    private String qyGrade; //'汽油等级',
    private BigDecimal cyLiters; // '柴油加油总升数',
    private BigDecimal qyLiters;    //'汽油加油总升数',
    private BigDecimal cyAmt;   //'柴油加油消费总金额',
    private BigDecimal qyAmt; // '汽油加油消费总金额',
    private String blogOpenid; //'公众号openid',
    private String minaOpenid;     //'小程序openid',
    private Integer blogUserId; // '公众号userid',
    private Integer minaUserId;  //'小程序的userid',
    private String grade;   //等级
    private String oilName; //油品名称  oil_name
    private BigDecimal liters; //总升数
    private BigDecimal amt; //总金额
    private String unionId; //用户unionId  union_id
    private Integer groupId;  //所属集团ID,

}
