package com.platform.yijia.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/***
 * 用户积分表实体类
 */

@Data
public class CustomerPoints {
    private Integer id;                          //主键
    private String unionId;                      //微信用户UnionId
    private String blogOpenId;                   //公众号的openID
    private String minaOpenId;                   //小程序的openID
    private String customerName;                  //会员名字
    private String mobilePhone;                  //用户手机号
    private Integer points;                      //用户余额积分
    private Integer consumptionPoints;           //用户消费累计积分
    private Integer accumulatePoints;            //用户累计积分
    private Integer invalidPoints;               //用户失效累计积分
    //@JsonFormat(pattern = "yyyy.MM.dd HH:mm:ss")
    private Date recentConsumptionDate;          //用户最近消费积分时间
    private Integer stationId;                   //油站ID
    private String stationName;                  //油站名称
    //@JsonFormat(pattern = "yyyy.MM.dd HH:mm:ss")
    private Date createTime;                     //创建时间

}
