package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 计算积分
 */
@Data
public class CalculateIntegral {
    private Integer stationId;  //油站ID
    private String oilName;     //油品名称
    private String oilType;     //油类：1.油品； 2.非油品
    private String openId;      //公众号Id
    private String unionId;      // unionId
    private String nickName;      //客户名
    private String mobilePhone;      //客户手机号
    private int integral;       //客户积分
    private BigDecimal amt;     //用户消费金额
    private BigDecimal oilLiters;       //用户加油的升数
    private BigDecimal receivableAmt;       //用户应收金额
}
