package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户电子会员卡使用记录表
 */
@Data
public class CustomerCardUseRecord {
    private Integer id;
    private String orderNo;      //'充值订单号',
    private String unionId;        //'微信用户唯一标识',
    private String customerNo;      //会员ID
    private String customerName;    //''客户名'',
    private String usageType;            //'电子会员卡消费充值类型：+，充值；-，消费；',
    private String payType;      //'电子会员卡充值消费类型：1.微信；2.POS机',
    private String cardOilsType;        //油类：1.柴油；2.汽油；
    private BigDecimal amt;         //'充值，消费金额'
    private BigDecimal presentAmt;     //''赠送金额''
    private BigDecimal balance;         //余额
    private Date createTime;            //'记录时间'
    private Integer stationId;      //'油站ID'
    private String stationName;     //'油站名称'
    private String status;     //'油站名称'
}
