package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户电子会员卡（储蓄卡）
 */
@Data
public class CustomerElectronicCard {
    private Integer id;     //主键
    private String unionId;     //微信用户唯一标识
    private String blogOpenid;      //公众号用户openId
    private String minaOpenid;      //小程序用户openId
    private String customerNo;      //会员编号
    private String customerName;    //客户名称
    private String mobilePhone;     //用户手机号
    private BigDecimal amt;         //客户余额
    private String cardOilsType;        //电子会员卡类型：1，柴油；2.汽油
    private Integer stationId;      //油站ID
    private String stationName;     //油站
    private Date createTime;        //创建时间
    private Date recentlyTime;      //最近使用时间
}
