package com.platform.yijia.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
//@Data
@Getter
@Setter
public class PayOrder implements Serializable {

    private Integer orderId;
    private String orderNo;
    private String oilGun;
    private String oilName;
    private Integer consumerId;
    private String consumer;
    private Double amt;
    private Integer stationId;
    private String status;
    private String orderLiters;
    private String payType;
    private String payWay;
    //@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date payDate;
    private String oilPersonnel;
    //@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createdDate;
    private String orderType;
    private String oilPirce;
    private String stationName;
    private Double receivableAmt;   //应收金额
    private Double receivedAmt;    //到账金额
    private String discountCoupon;  //优惠券
    private Double discountAmt;    //优惠金额
    private Double discountCouponAmt; //优惠券金额
    private Double wxAmt; //微信支付金额
    private Double zfbAmt; //支付宝支付金额
    private Double posAmt; //pos支付金额
    private Double xjAmt; //现金支付金额
    private Double didiAppAmt; //滴滴app支付金额
    private Double tyAppAmt; //团油app支付金额
    private Double otherAmt; //其他支付金额
    private Double dzkAmt; //电子卡金额
    private Integer score; //消费积分
    private String memberNo; //会员卡号
    private Double memberAmt; //会员支付金额
    private Integer printCount; //打印小票数量
    private String carNo; //车牌号
    private String customerPhone; //客户电话
    private String customerGrade; //客户等级
    private String oilType; //油品类型 oil_type

    private String beginTime;
    private String endTime;
    private String groupBy;

    private String classStructureNo;
    private String classStartDate;
    private String classStructureDate;
    private String classStructureMan;

    private String payTypeName;

    //分页参数
    private Integer pageNum;
    private Integer pageSize;

    private String beginTimeQOQ;    //环比开始时间
    private String endTimeQOQ;      //环比结束时间
    private AppUserInfo appUserInfo;

    //打印小票所需要的流水单号
    private String transactionId;
    private String integral;

}
